SeExpr

Public Member Functions | Public Attributes | List of all members
SeExpr2::CurveData< T > Struct Template Reference
Inheritance diagram for SeExpr2::CurveData< T >:

## Public Member Functions
virtual | ~CurveData ()
Public Member Functions inherited from SeExpr2::ExprFuncNode::Data
| Data (bool cleanup=false)
virtual | ~Data ()

## Public Attributes
Curve< T > | curve
Public Attributes inherited from SeExpr2::ExprFuncNode::Data
bool | _cleanup

## Detailed Description

### template<class T>
struct SeExpr2::CurveData< T >

Definition at line 1290 of file ExprBuiltins.cpp.

## Constructor & Destructor Documentation

## ◆ ~CurveData()

template<class T>

virtual SeExpr2::CurveData< T >::~CurveData | ( |  | ) |
| inline virtual

Definition at line 1292 of file ExprBuiltins.cpp.

## Member Data Documentation

## ◆ curve

template<class T>

Curve<T> SeExpr2::CurveData< T >::curve

Definition at line 1291 of file ExprBuiltins.cpp.

Referenced by SeExpr2::CurveFuncX::eval(), SeExpr2::CCurveFuncX::eval(), SeExpr2::CurveFuncX::evalConstant(), and SeExpr2::CCurveFuncX::evalConstant().

The documentation for this struct was generated from the following file:

- /build/seexpr/src/SeExpr/src/SeExpr2/ExprBuiltins.cpp